package cpcns.dingZhi.cESHI.service.impl;

package .tmp;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.cESHI.dao.ICESHIDao;
import cpcns.dingZhi.cESHI.model.cESHI;
import cpcns.dingZhi.cESHI.service.ICESHIService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("cESHIService")
public class CESHIServiceImpl extends DangAnBaseServiceImpl<cESHI> implements ICESHIService {
  @Autowired
  private ICESHIDao cESHIDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,biaoTi,guiDangNianDu,baoGuanQiXian,quanZongHao,chengWenRiQi,zeRenZhe,guanJianCi from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    tp.put("zhuangTai", new String[] { "3", "4" });
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
      para = map.get("guiDangNianDu");
      if (para != null && para != "") {
        tp.put("guiDangNianDu", para);
        para = map.get("guiDangNianDu_Operator");
        if (para != null && para != "") {
          sql.append(" and guiDangNianDu ").append(para).append(":guiDangNianDu");
        } else {
          sql.append(" and guiDangNianDu ").append("=:guiDangNianDu");
        } 
      } 
      para = map.get("baoGuanQiXian");
      if (para != null && para != "") {
        sql.append(" and baoGuanQiXian=:baoGuanQiXian");
        tp.put("baoGuanQiXian", para);
      } 
      para = map.get("quanZongHao");
      if (para != null && para != "") {
        sql.append(" and quanZongHao=:quanZongHao");
        tp.put("quanZongHao", para);
      } 
      para = map.get("chengWenRiQi");
      if (para != null && para != "") {
        sql.append(" and chengWenRiQi=:chengWenRiQi");
        tp.put("chengWenRiQi", para);
      } 
      para = map.get("zeRenZhe");
      if (para != null && para != "") {
        sql.append(" and zeRenZhe=:zeRenZhe");
        tp.put("zeRenZhe", para);
      } 
      para = map.get("guanJianCi");
      if (para != null && para != "") {
        sql.append(" and guanJianCi=:guanJianCi");
        tp.put("guanJianCi", para);
      } 
    } 
    return this.cESHIDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
